Index: GTP/trunk/Lib/Geom/shared/GTGeometry/include/GeoMeshStripifier.h
===================================================================
--- GTP/trunk/Lib/Geom/shared/GTGeometry/include/GeoMeshStripifier.h	(revision 993)
+++ GTP/trunk/Lib/Geom/shared/GTGeometry/include/GeoMeshStripifier.h	(revision 1559)
@@ -399,5 +399,5 @@
 			void Last_Edge(int *id1, int *id2, int *id3, BOOL save);
 
-			void preserve_strip_orientation_with_normal(FILE	*output,
+			void preserve_strip_orientation_with_normal(
 					int		vertex1,
 					int		normal1,
@@ -407,5 +407,5 @@
 					int		normal3);
 
-			void preserve_strip_orientation_with_texture(	FILE	*output,
+			void preserve_strip_orientation_with_texture(
 					int		vertex1,
 					int		texture1,
@@ -415,5 +415,5 @@
 					int texture3);
 
-			void  preserve_strip_orientation_with_texture_and_normal(	FILE	*output,
+			void  preserve_strip_orientation_with_texture_and_normal(
 					int		vertex1,
 					int		texture1,
@@ -426,5 +426,5 @@
 					int		normal3);
 
-			void preserve_strip_orientation(FILE *output,
+			void preserve_strip_orientation(
 					int vertex1,
 					int vertex2,
@@ -438,18 +438,15 @@
 			/**	local.h
 			*/
-			void Find_StripsEx(	FILE *output,	int *ties,
-					int  tie,			int triangulate,
-					int  swaps,		int *next_id);
-			void SGI_Strip(int num_faces,FILE *output, int ties,int triangulate);
+			void Find_StripsEx(int *ties, int  tie,	int triangulate, int  swaps, int *next_id);
+			void SGI_Strip(int num_faces,int ties,int triangulate);
 
 			/**	outputex.h
 			*/
-			void Output_TriEx(int id1, int id2, int id3, FILE *output, 
-					int flag,int where);
-			void Extend_BackwardsEx(int face_id, FILE *output, int *ties, 
+			void Output_TriEx(int id1, int id2, int id3, int flag,int where);
+			void Extend_BackwardsEx(int face_id, int *ties, 
 					int tie, int triangulate, 
 					int swaps,int *next_id);
 			void Polygon_OutputEx(P_ADJACENCIES temp,int face_id,int bucket,
-					ListHead *pListHead, FILE *output,
+					ListHead *pListHead,
 					int *ties, int tie,int triangulate, int swaps,
 					int *next_id, int where);
@@ -460,5 +457,5 @@
 			void Build_SGI_Table(int num_faces);
 			void Non_Blind_Triangulate(	int size,int *index,
-					FILE *output,int next_face_id,
+					int next_face_id,
 					int face_id,int where,
 					int color1,int color2,int color3);
@@ -472,5 +469,5 @@
 					int in_edge1,	int in_edge2,
 					int size,			int *index,
-					FILE *output,	int reversed,
+					int reversed,
 					int face_id,	int where,
 					int color1,		int color2,
@@ -479,5 +476,5 @@
 			void Triangulate(	int out_edge1,int out_edge2,int in_edge1,
 					int in_edge2,int size,int *index,
-					FILE *output,int reversed,int face_id, int where,
+					int reversed,int face_id, int where,
 					int color1, int color2,int color3);	//	static.
 
@@ -576,8 +573,8 @@
 			void Triangulate_PolygonEx(	int out_edge1,int out_edge2,int in_edge1,
 					int in_edge2,int size,int *index,
-					FILE *fp,int reversed,int face_id,
+					int reversed,int face_id,
 					int where);
 			void Non_Blind_TriangulateEx(	int size,int *index,
-					FILE *output,int next_face_id,
+					int next_face_id,
 					int face_id,int where);
 			void Rearrange_IndexEx(int *index, int size);
@@ -590,5 +587,5 @@
 					int in_edge1, int in_edge2,
 					int size,			int *index,
-					FILE *output,	int reversed,
+					int reversed,
 					int face_id, 	int where);	//	static.
 
@@ -620,5 +617,5 @@
 			*/
 			void Partial_Triangulate(int size,		int *index,
-					FILE *output,	int next_face_id,
+					int next_face_id,
 					int face_id,	int *next_id,
 					ListHead *pListHead,
@@ -640,5 +637,5 @@
 					int in_edge1, int in_edge2,
 					int size,	  	int *index,
-					FILE *fp,		  int reversed,
+					int reversed,
 					int face_id,	int *next_id,
 					ListHead *pListHead,
@@ -647,5 +644,5 @@
 			void P_Triangulate(	int out_edge1,int out_edge2,int in_edge1,
 					int in_edge2,	int size,			int *index,
-					FILE *output,	int reversed,	int face_id,
+					int reversed,	int face_id,
 					int *next_id,	ListHead *pListHead, 
 					P_ADJACENCIES temp,int where);	//	static.
@@ -657,7 +654,7 @@
 			/**	output.h
 			*/
-			int Finished(int *swap, FILE *output, int startnewstrip);
+			int Finished(int *swap, int startnewstrip);
 			void Output_Tri(int id1, int id2, int id3,BOOL end);
-			int Extend_Face(int face_id,int e1,int e2,int *swaps,FILE *bands,
+			int Extend_Face(int face_id,int e1,int e2,int *swaps,
 					int color1,int color2,int color3,int *vert_norm,
 					int normals,int *vert_texture,int texture);
@@ -665,6 +662,6 @@
 					int bucket,		  		ListHead *pListHead,
 					BOOL first, 				int *swaps,
-					FILE *bands,				int color1,
-					int color2,					int color3,
+					int color1,					int color2,					
+					int color3,
 					BOOL global,		  	BOOL end);	//	static.
 			/**	free.h
@@ -679,5 +676,5 @@
 			/**	newpolve.h
 			*/
-			void Find_Bands(int numfaces, FILE *output_file, int *swaps, int *bands, 
+			void Find_Bands(int numfaces, int *swaps, int *bands, 
 					int *cost, int *tri, int norms, int *vert_norms,
 					int texture, int *vert_texture);
@@ -698,5 +695,5 @@
 			void Mark_Face(	PF_FACES temp2, 		int color1,
 					int color2,     		int color3,
-					FILE *output_file,	BOOL end,
+					BOOL end,
 					int *edge1,					int *edge2,
 					int *face_id,				int norms,
@@ -709,5 +706,5 @@
 					int north,int last_north,
 					int orientation,int last_left,
-					FILE *output_file,int color1,
+					int color1,
 					int color2,int color3,
 					BOOL start);	//	static.
@@ -715,5 +712,5 @@
 					int north,int last_north,
 					int orientation,int last_left,
-					FILE *output_file,int color1,
+					int color1,
 					int color2,int color3,
 					BOOL start, int *swaps_added,
@@ -722,10 +719,10 @@
 			/**	auxiliar.h
 			*/
-			FILE *OpenOutputFile(char *fname);
+//			FILE *OpenOutputFile(char *fname);
 			void AllocateStruct(int num_faces,
 					int num_vert,
 					int num_nvert,
 					int num_texture);
-			void miReadFile(char *fname, char *file_open, FILE *bands,Geometry::SubMesh *geoSubMesh);
+			void miReadFile(char *fname, char *file_open, Geometry::SubMesh *geoSubMesh);
 			int stripify(	char						*fname,
 										Geometry::Mesh	*geoMesh);
Index: GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoMeshStripifier.cpp
===================================================================
--- GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoMeshStripifier.cpp	(revision 1530)
+++ GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoMeshStripifier.cpp	(revision 1559)
@@ -790,5 +790,5 @@
 
 ///	preserve_strip_orientation_with_normal:
-void CustomStripifier::preserve_strip_orientation_with_normal(FILE *output, int vertex1, int normal1, int vertex2, int normal2, int vertex3, int normal3)
+void CustomStripifier::preserve_strip_orientation_with_normal(int vertex1, int normal1, int vertex2, int normal2, int vertex3, int normal3)
 {
   int original_vertex[3];
@@ -796,15 +796,15 @@
   find_triangle_orientation(vertex1,vertex2,vertex3, original_vertex);
   
-  if ( ( original_vertex[0] == vertex3 && original_vertex[1] == vertex2 && original_vertex[2] == vertex1) ||
+/*  if ( ( original_vertex[0] == vertex3 && original_vertex[1] == vertex2 && original_vertex[2] == vertex1) ||
        ( original_vertex[0] == vertex2 && original_vertex[1] == vertex1 && original_vertex[2] == vertex3   ) ||
        ( original_vertex[0] == vertex1 && original_vertex[1] == vertex3 && original_vertex[2] == vertex2   ))  {
 	// New Triangle is in an opposite orientation.  Add vertex2 to correct it
 	fprintf(output," %d//%d",vertex2,normal2);
-  }
+  }*/
 
 }
 
 ///	preserve_strip_orientation_with_texture:
-void CustomStripifier::preserve_strip_orientation_with_texture(FILE *output,
+void CustomStripifier::preserve_strip_orientation_with_texture(
 					     int vertex1, int texture1,
 					     int vertex2, int texture2,
@@ -816,5 +816,5 @@
                             original_vertex);
   
-  if ( ( original_vertex[0] == vertex3 &&
+/*  if ( ( original_vertex[0] == vertex3 &&
          original_vertex[1] == vertex2 &&
          original_vertex[2] == vertex1   ) ||
@@ -825,12 +825,12 @@
          original_vertex[1] == vertex3 &&
          original_vertex[2] == vertex2   ) ) {
-    /* New Triangle is in an opposite orientation */
-    /* Add vertex2 to correct it */
+    // New Triangle is in an opposite orientation 
+    // Add vertex2 to correct it
     fprintf(output," %d/%d",vertex2,texture2);
-  }
+  }*/
 }
 
 ///	preserve_strip_orientation_with_texture_and_normal:
-void  CustomStripifier::preserve_strip_orientation_with_texture_and_normal(FILE *output,
+void  CustomStripifier::preserve_strip_orientation_with_texture_and_normal(
 							 int vertex1, int texture1, int normal1,
 							 int vertex2, int texture2, int normal2,
@@ -842,5 +842,5 @@
                             original_vertex);
   
-  if ( ( original_vertex[0] == vertex3 &&
+ /* if ( ( original_vertex[0] == vertex3 &&
          original_vertex[1] == vertex2 &&
          original_vertex[2] == vertex1   ) ||
@@ -851,12 +851,12 @@
          original_vertex[1] == vertex3 &&
          original_vertex[2] == vertex2   ) ) {
-    /* New Triangle is in an opposite orientation */
-    /* Add vertex2 to correct it */
+    // New Triangle is in an opposite orientation 
+    // Add vertex2 to correct it
     fprintf(output," %d/%d/%d",vertex2,texture2,normal2);
-  }
+  }*/
 }
 
 ///	preserve_strip_orientation:
-void CustomStripifier::preserve_strip_orientation(FILE *output,int vertex1, int vertex2,int vertex3)
+void CustomStripifier::preserve_strip_orientation(int vertex1, int vertex2,int vertex3)
 { 
   int original_vertex[3];
@@ -874,7 +874,7 @@
          original_vertex[1] == vertex3 &&
          original_vertex[2] == vertex2   ))  {
-    /* New Triangle is in an opposite orientation */
-    /* Add vertex2 to correct it */
-    fprintf(output," %d",vertex2);
+    // New Triangle is in an opposite orientation 
+    // Add vertex2 to correct it
+ //   fprintf(output," %d",vertex2);
 	mi_vector[num_tiras].push_back(vertex2-1);
   }
@@ -882,6 +882,5 @@
 
 ///	Output_TriEx:
-void CustomStripifier::Output_TriEx(int id1, int id2, int id3, FILE *output, 
-		  int flag, int where)
+void CustomStripifier::Output_TriEx(int id1, int id2, int id3, int flag, int where)
 {
   /*   We will save everything into a list, rather than output at once,
@@ -911,9 +910,9 @@
      */
   {
-		fprintf(output,"\nt");
+//		fprintf(output,"\nt");
 	  mi_vector_tipo nada;
 	  mi_vector.push_back(nada);
 	  num_tiras++;
-    tri = tri + Finished(&swap,output,1);
+    tri = tri + Finished(&swap,1);
     total = total + swap;
     strips++;
@@ -931,5 +930,5 @@
 
 ///	Extend_BackwardsEx:
-void CustomStripifier::Extend_BackwardsEx(int face_id, FILE *output, int *ties,
+void CustomStripifier::Extend_BackwardsEx(int face_id, int *ties,
 			int tie, int triangulate,
 			int swaps,int *next_id)
@@ -981,5 +980,5 @@
 		  Last_Edge(&z,&y,&x,1);
 		  Polygon_OutputEx(temp,temp->face_id,bucket,pListFace,
-				   output,ties,tie,triangulate,
+				   ties,tie,triangulate,
 				   swaps,next_id,0);
 		  return;
@@ -1011,5 +1010,5 @@
 		  Last_Edge(&z,&y,&x,1);
 		  Polygon_OutputEx(temp,temp->face_id,bucket,pListFace,
-				   output,ties,tie,triangulate,
+				   ties,tie,triangulate,
 				   swaps,next_id,0);
 		  return;
@@ -1028,5 +1027,5 @@
 ///	Polygon_OutputEx:
 void CustomStripifier::Polygon_OutputEx(P_ADJACENCIES temp,int face_id,int bucket,
-		      ListHead *pListHead, FILE *output,
+		      ListHead *pListHead, 
 		      int *ties, int tie, 
 		      int triangulate, int swaps,
@@ -1069,5 +1068,5 @@
 	    }
 	  
-	  Output_TriEx(e2,e3,next_face_id,NULL,begin,where);
+	  Output_TriEx(e2,e3,next_face_id,begin,where);
 	  if (face_array[temp->face_id].head == pListHead)
 	    face_array[temp->face_id].pfNode = NULL;
@@ -1098,5 +1097,5 @@
 	  if (next_face_id == -1)
 	    {
-	      Polygon_OutputEx(temp,face_id,0,pListHead,output,ties,tie, 
+	      Polygon_OutputEx(temp,face_id,0,pListHead,ties,tie, 
 			       triangulate,swaps,next_id,where);
 	      return;
@@ -1131,5 +1130,5 @@
 	      else
 		{
-		  Polygon_OutputEx(temp,face_id,0,pListHead,output,
+		  Polygon_OutputEx(temp,face_id,0,pListHead,
 				   ties,tie,triangulate,swaps,next_id,where);
 		  return;
@@ -1147,5 +1146,5 @@
 		{
 		  /* Degenerate triangle just return*/
-		  Output_TriEx(other1,other2,e3,NULL,begin,where);
+		  Output_TriEx(other1,other2,e3,begin,where);
 		  if (face_array[temp->face_id].head == pListHead)
 		    face_array[temp->face_id].pfNode = NULL;
@@ -1171,5 +1170,5 @@
 	       have the next polygon id 
 	  */
-	  Output_TriEx(other1,other2,e3,NULL,begin,where);
+	  Output_TriEx(other1,other2,e3,begin,where);
 	  if (face_array[temp->face_id].head == pListHead)
 	    face_array[temp->face_id].pfNode = NULL;
@@ -1189,5 +1188,5 @@
 	    }
 	  Polygon_OutputEx(lpListInfo,next_face_id,next_bucket,
-			   pListHead, output,ties,tie,
+			   pListHead, ties,tie,
 			   triangulate,swaps,next_id,where);
 	  
@@ -1242,5 +1241,5 @@
 		{
 		  /*  There is no sequential face to go to, end the strip */
-		  Polygon_OutputEx(temp,face_id,0,pListHead,output,
+		  Polygon_OutputEx(temp,face_id,0,pListHead,
 				   ties,tie,triangulate,swaps,next_id,where);
 		  return;
@@ -1251,5 +1250,5 @@
 		next_face_id = Get_Next_Face(tie,face_id,triangulate);
 	      Non_Blind_TriangulateEx(face->nPolSize,face->pPolygon,
-				      output,next_face_id,face_id,where);
+				      next_face_id,face_id,where);
 	      
 	      if (face_array[temp->face_id].head == pListHead)          
@@ -1270,5 +1269,5 @@
 		next_face_id = Get_Next_Face(tie,face_id,triangulate);
 	      Partial_Triangulate(face->nPolSize,face->pPolygon,
-				  output,next_face_id,face_id,next_id,
+				  next_face_id,face_id,next_id,
 				  pListHead,temp,where);
 	      /*    Check the next bucket again ,maybe it changed 
@@ -1310,5 +1309,5 @@
 	    }
 	  Polygon_OutputEx(lpListInfo,next_face_id,next_bucket,
-			   pListHead, output,ties,tie,
+			   pListHead, ties,tie,
 			   triangulate,swaps,next_id,where);
         }
@@ -1338,5 +1337,5 @@
           if (Done(next_face_id,&next_bucket) == NULL)
             {
-	      Polygon_OutputEx(temp,face_id,0,pListHead,output,ties,tie, 
+	      Polygon_OutputEx(temp,face_id,0,pListHead,ties,tie, 
 			       triangulate,swaps,next_id,where);
 	      /*    Because maybe there was more than 2 polygons on the edge */
@@ -1349,5 +1348,5 @@
           
           Non_Blind_TriangulateEx(face->nPolSize,face->pPolygon, 
-				  output,next_face_id,face_id,where);
+				  next_face_id,face_id,where);
 	  
           if (face_array[temp->face_id].head == pListHead)
@@ -1365,5 +1364,5 @@
             }
           Polygon_OutputEx(lpListInfo,next_face_id,next_bucket,
-			   pListHead, output,ties,tie,
+			   pListHead, ties,tie,
 			   triangulate,swaps,next_id,where);
 	}
@@ -1696,5 +1695,5 @@
 																						int in_edge1,	int in_edge2,
 																						int size,			int *index,
-																						FILE *output,	int reversed,
+																						int reversed,
 																						int face_id,	int where,
 																						int color1,		int color2,
@@ -1743,5 +1742,5 @@
       Delete_From_List(out_edge2,index,&size);
       Triangulate_Polygon(out_edge1,vertex4,in_edge2,
-			  vertex4,size-1,index,output,reversed,face_id,
+			  vertex4,size-1,index,reversed,face_id,
 			  where,color1,color2,color3);
       memcpy(index,temp,sizeof(int)*size);
@@ -1780,5 +1779,5 @@
       Delete_From_List(in_edge1,index,&size);
       Triangulate_Polygon(out_edge1,out_edge2,in_edge2,
-			  vertex4,size-1,index,output,!reversed,face_id,
+			  vertex4,size-1,index,!reversed,face_id,
 			  where,color1,color2,color3);
       memcpy(index,temp,sizeof(int)*size);
@@ -1806,5 +1805,5 @@
       Delete_From_List(in_edge2,index,&size);
       Triangulate_Polygon(out_edge1,out_edge2,in_edge1,
-			  vertex4,size-1,index,output,reversed,face_id,
+			  vertex4,size-1,index,reversed,face_id,
 			  where,color1,color2,color3);
       memcpy(index,temp,sizeof(int)*size);
@@ -1821,5 +1820,5 @@
       Delete_From_List(in_edge2,index,&size);
       Triangulate_Polygon(out_edge1,out_edge2,in_edge1,
-			  vertex4,size-1,index,output,reversed,face_id,
+			  vertex4,size-1,index,reversed,face_id,
 			  where,color1,color2,color3);
       memcpy(index,temp,sizeof(int)*size);
@@ -1835,5 +1834,5 @@
       Delete_From_List(in_edge1,index,&size);
       Triangulate_Polygon(out_edge1,out_edge2,vertex4,
-			  in_edge2,size-1,index,output,reversed,face_id,
+			  in_edge2,size-1,index,reversed,face_id,
 			  where,color1,color2,color3);
       memcpy(index,temp,sizeof(int)*size);
@@ -1854,5 +1853,5 @@
       Delete_From_List(in_edge1,index,&size);
       Triangulate_Polygon(out_edge1,out_edge2,in_edge2,
-			  vertex4,size-1,index,output,!reversed,face_id,
+			  vertex4,size-1,index,!reversed,face_id,
 			  where,color1,color2,color3);
       memcpy(index,temp,sizeof(int)*size);
@@ -1864,5 +1863,5 @@
 void CustomStripifier::Triangulate(int out_edge1,int out_edge2,int in_edge1,
 			int in_edge2,int size,int *index,
-			FILE *output,int reversed,int face_id, int where,
+			int reversed,int face_id, int where,
 			int color1, int color2,int color3)
 {
@@ -1874,11 +1873,10 @@
   else
     Triangulate_Polygon(out_edge1,out_edge2,in_edge1,in_edge2,size,
-			index,output,reversed,face_id,where,color1,color2,color3);
+			index,reversed,face_id,where,color1,color2,color3);
 }
 
 ///	Non_Blind_Triangulate:
 void CustomStripifier::Non_Blind_Triangulate(int size,int *index,
-			   FILE *output,int next_face_id,int face_id,int where,
-                           int color1,int color2,int color3)
+			   int next_face_id,int face_id,int where,int color1,int color2,int color3)
 {
   int id1,id2,id3;
@@ -1908,5 +1906,5 @@
      since we are at the beginning of a strip
   */
-  Triangulate(nedge1,nedge2,id2,id3,size,index,output,reversed,
+  Triangulate(nedge1,nedge2,id2,id3,size,index,reversed,
 	      face_id, where,color1,color2,color3);
 }
@@ -4090,6 +4088,6 @@
       vertex4 = AdjacentEx(out_edge1,out_edge2,index,size);
       vertex5 = Get_Other_Vertex(vertex4,out_edge1,out_edge2,index);
-      Output_TriEx(vertex5,vertex4,out_edge1,NULL,-1,where);
-      Output_TriEx(vertex4,out_edge1,out_edge2,NULL,-1,where);
+      Output_TriEx(vertex5,vertex4,out_edge1,-1,where);
+      Output_TriEx(vertex4,out_edge1,out_edge2,-1,where);
       return;
     }
@@ -4108,6 +4106,6 @@
       */
       vertex4 = Get_Other_Vertex(in_edge1,in_edge2,out_edge2,index);
-      Output_TriEx(in_edge1,in_edge2,vertex4,NULL,-1,where);
-      Output_TriEx(vertex4,in_edge2,out_edge2,NULL,-1,where);
+      Output_TriEx(in_edge1,in_edge2,vertex4,-1,where);
+      Output_TriEx(vertex4,in_edge2,out_edge2,-1,where);
       return;
     }
@@ -4126,6 +4124,6 @@
       */
       vertex4 = Get_Other_Vertex(in_edge2,in_edge1,out_edge2,index);
-      Output_TriEx(in_edge2,in_edge1,vertex4,NULL,-1,where);
-      Output_TriEx(vertex4,in_edge1,out_edge2,NULL,-1,where);
+      Output_TriEx(in_edge2,in_edge1,vertex4,-1,where);
+      Output_TriEx(vertex4,in_edge1,out_edge2,-1,where);
       return;
     }
@@ -4135,6 +4133,6 @@
     {
       vertex4 = Get_Other_Vertex(in_edge1,in_edge2,out_edge1,index);
-      Output_TriEx(in_edge2,in_edge1,vertex4,NULL,-1,where);
-      Output_TriEx(vertex4,in_edge1,out_edge1,NULL,-1,where);
+      Output_TriEx(in_edge2,in_edge1,vertex4,-1,where);
+      Output_TriEx(vertex4,in_edge1,out_edge1,-1,where);
       return;
     }
@@ -4142,6 +4140,6 @@
     {
       vertex4 = Get_Other_Vertex(in_edge1,in_edge2,out_edge1,index);
-      Output_TriEx(in_edge1,in_edge2,vertex4,NULL,-1,where);
-      Output_TriEx(vertex4,in_edge2,out_edge1,NULL,-1,where);
+      Output_TriEx(in_edge1,in_edge2,vertex4,-1,where);
+      Output_TriEx(vertex4,in_edge2,out_edge1,-1,where);
       return;
     }
@@ -4159,6 +4157,6 @@
 		And also the output edge, so that we triangulate correctly.
 	  */
-	  Output_TriEx(in_edge1,in_edge2,out_edge2,NULL,-1,where);
-	  Output_TriEx(in_edge2,out_edge2,out_edge1,NULL,-1,where);
+	  Output_TriEx(in_edge1,in_edge2,out_edge2,-1,where);
+	  Output_TriEx(in_edge2,out_edge2,out_edge1,-1,where);
 	}
       else
@@ -4167,6 +4165,6 @@
 	       be reversed from above.
 	  */
-	  Output_TriEx(in_edge1,in_edge2,out_edge1,NULL,-1,where);
-	  Output_TriEx(in_edge2,out_edge1,out_edge2,NULL,-1,where);
+	  Output_TriEx(in_edge1,in_edge2,out_edge1,-1,where);
+	  Output_TriEx(in_edge2,out_edge1,out_edge2,-1,where);
 	}
       return;
@@ -4178,5 +4176,5 @@
 																							int in_edge1, int in_edge2,
 																							int size,			int *index,
-			   																			FILE *fp,			int reversed,
+			   																			int reversed,
 																							int face_id,  int where)
 {
@@ -4224,10 +4222,10 @@
       Triangulate_PolygonEx(out_edge1,vertex4,in_edge2,
 			    vertex4,size-1,index,
-			    fp,reversed,face_id,where);
+			    reversed,face_id,where);
       memcpy(index,temp,sizeof(int)*size);
       /*	Lastly do the triangle that comes out the output
 		edge.
       */
-      Output_TriEx(vertex4,out_edge1,out_edge2,NULL,-1,where);
+      Output_TriEx(vertex4,out_edge1,out_edge2,-1,where);
       return;
     }
@@ -4252,5 +4250,5 @@
       */
       vertex4 = AdjacentEx(in_edge2,in_edge1,index,size);
-      Output_TriEx(in_edge1,in_edge2,vertex4,NULL,-1,where);
+      Output_TriEx(in_edge1,in_edge2,vertex4,-1,where);
       /*	Create a new edgelist without the triangle that
 		was just outputted.
@@ -4260,5 +4258,5 @@
       Delete_From_ListEx(in_edge1,index,size);
       Triangulate_PolygonEx(out_edge1,out_edge2,in_edge2,
-			    vertex4,size-1,index,fp,
+			    vertex4,size-1,index,
 			    !reversed,face_id,where);
       memcpy(index,temp,sizeof(int)*size);
@@ -4275,5 +4273,5 @@
       /*	Get vertex adjacent to in_edge2, but is not in_edge1 */
       vertex4 = AdjacentEx(in_edge1,in_edge2,index,size);
-      Output_TriEx(in_edge1,in_edge2,vertex4,fp,-1,where);
+      Output_TriEx(in_edge1,in_edge2,vertex4,-1,where);
       /*	Since that triangle goes out of the polygon (the
 		output edge of it), we can make our new input edge
@@ -4286,5 +4284,5 @@
       Delete_From_ListEx(in_edge2,index,size);
       Triangulate_PolygonEx(out_edge1,out_edge2,in_edge1,
-			    vertex4,size-1,index,fp,
+			    vertex4,size-1,index,
 			    reversed,face_id,where);
       memcpy(index,temp,sizeof(int)*size);
@@ -4296,10 +4294,10 @@
       /*	Get vertex adjacent to in_edge2, but is not in_edge1 */
       vertex4 = AdjacentEx(in_edge1,in_edge2,index,size);
-      Output_TriEx(in_edge2,in_edge1,vertex4,fp,-1,where);
+      Output_TriEx(in_edge2,in_edge1,vertex4,-1,where);
       temp = (int *) malloc(sizeof(int) * size);
       memcpy(temp,index,sizeof(int)*size);
       Delete_From_ListEx(in_edge2,index,size);
       Triangulate_PolygonEx(out_edge1,out_edge2,in_edge1,
-			    vertex4,size-1,index,fp,
+			    vertex4,size-1,index,
 			    reversed,face_id,where);
       memcpy(index,temp,sizeof(int)*size);
@@ -4310,10 +4308,10 @@
       /*	Get vertex adjacent to in_edge2, but is not in_edge1 */
       vertex4 = AdjacentEx(in_edge2,in_edge1,index,size);
-      Output_TriEx(in_edge1,in_edge2,vertex4,fp,-1,where);
+      Output_TriEx(in_edge1,in_edge2,vertex4,-1,where);
       temp = (int *) malloc(sizeof(int) * size);
       memcpy(temp,index,sizeof(int)*size);
       Delete_From_ListEx(in_edge1,index,size);
       Triangulate_PolygonEx(out_edge1,out_edge2,vertex4,
-			    in_edge2,size-1,index,fp,
+			    in_edge2,size-1,index,
 			    reversed,face_id,where);
       memcpy(index,temp,sizeof(int)*size);
@@ -4329,10 +4327,10 @@
     {
       vertex4 = AdjacentEx(in_edge2,in_edge1,index,size);
-      Output_TriEx(in_edge1,in_edge2,vertex4,fp,-1,where);
+      Output_TriEx(in_edge1,in_edge2,vertex4,-1,where);
       temp = (int *) malloc(sizeof(int) * size);
       memcpy(temp,index,sizeof(int)*size);
       Delete_From_ListEx(in_edge1,index,size);
       Triangulate_PolygonEx(out_edge1,out_edge2,in_edge2,
-			    vertex4,size-1,index,fp,
+			    vertex4,size-1,index,
 			    !reversed,face_id,where);
       memcpy(index,temp,sizeof(int)*size);
@@ -4344,5 +4342,5 @@
 void CustomStripifier::TriangulateEx(int out_edge1,int out_edge2,int in_edge1,
 			  int in_edge2,int size,int *index,
-			  FILE *output,int reversed,int face_id, int where)
+			  int reversed,int face_id, int where)
 {
   /*	We have the info we need to triangulate a polygon */
@@ -4353,10 +4351,10 @@
   else
     Triangulate_PolygonEx(out_edge1,out_edge2,in_edge1,in_edge2,size,
-			  index,output,reversed,face_id,where);
+			  index,reversed,face_id,where);
 }
 
 ///	Non_Blind_TriangulateEx:
 void CustomStripifier::Non_Blind_TriangulateEx(int size,int *index, 
-			     FILE *output,int next_face_id,int face_id,int where)
+			     int next_face_id,int face_id,int where)
 {
   int id1,id2,id3;
@@ -4386,5 +4384,5 @@
 	since we are at the beginning of a strip
   */
-  TriangulateEx(nedge1,nedge2,id2,id3,size,index,output,reversed,
+  TriangulateEx(nedge1,nedge2,id2,id3,size,index,reversed,
 		face_id, where);
 }
@@ -4511,5 +4509,5 @@
   if (( (!begin) && (*(index) == e2) ) || (begin))
     {
-      Output_TriEx(*(index+0),*(index+1),*(index+size-1),NULL,-1,where);
+      Output_TriEx(*(index+0),*(index+1),*(index+size-1),-1,where);
       /*	If we have a quad, (chances are yes), then we know that
 		we can just add one diagonal and be done. (divide the
@@ -4518,5 +4516,5 @@
       if (size == 4)
         {
-	  Output_TriEx(*(index+1),*(index+size-1),*(index+2),NULL,-1,where);
+	  Output_TriEx(*(index+1),*(index+size-1),*(index+2),-1,where);
 	  return;
         }
@@ -4527,11 +4525,11 @@
   else if (!begin)
     {
-      Output_TriEx(*(index+1),*(index+0),*(index+size-1),NULL,-1,where);
+      Output_TriEx(*(index+1),*(index+0),*(index+size-1),-1,where);
       if (size == 4)
         {
-	  Output_TriEx(*(index+0),*(index+size-1),*(index+2),NULL,-1,where);
+	  Output_TriEx(*(index+0),*(index+size-1),*(index+2),-1,where);
 	  return;
         }
-      Output_TriEx(*(index+0),*(index+size-1),*(index+2),NULL,-1,where);
+      Output_TriEx(*(index+0),*(index+size-1),*(index+2),-1,where);
       increasing = 2;
       mode = 0;
@@ -4550,5 +4548,5 @@
 	    {
 	      Output_TriEx(*(index+increasing),*(index+decreasing),
-			   *(index+increasing+1),NULL,-1,where);
+			   *(index+increasing+1),-1,where);
 	      increasing++;
 	    }
@@ -4556,5 +4554,5 @@
 	    {
 	      Output_TriEx(*(index+decreasing),*(index+increasing),
-			   *(index+decreasing-1),NULL,-1,where);
+			   *(index+decreasing-1),-1,where);
 	      decreasing--;
 	    }
@@ -5107,5 +5105,5 @@
 
 ///	Find_StripsEx:
-void CustomStripifier::Find_StripsEx(FILE *output,int *ties,
+void CustomStripifier::Find_StripsEx(int *ties,
 			  int  tie, int triangulate,
 			  int  swaps,int *next_id)
@@ -5142,10 +5140,10 @@
 				}
 
-	      Polygon_OutputEx(temp,temp->face_id,bucket,pListHead, output,ties,tie,triangulate,swaps,next_id,1);
+	      Polygon_OutputEx(temp,temp->face_id,bucket,pListHead,ties,tie,triangulate,swaps,next_id,1);
 	      /*  Try to extend backwards, if the starting polygon in the
 						strip had 2 or more adjacencies to begin with
 	      */
 	      if (bucket >= 2)
-					Extend_BackwardsEx(temp->face_id,output,ties,tie, triangulate,swaps,next_id);
+					Extend_BackwardsEx(temp->face_id,ties,tie, triangulate,swaps,next_id);
 
 				break;  
@@ -5162,5 +5160,5 @@
     else
 		{
-			Output_TriEx(-1,-2,-3,output,-10,1);
+			Output_TriEx(-1,-2,-3,-10,1);
 			Last_Edge(&dummy,&dummy,&dummy,1);
 			cont++;
@@ -5171,8 +5169,5 @@
 
 ///	SGI_Strip:
-void CustomStripifier::SGI_Strip(int	num_faces,
-																 FILE *output,
-																 int	ties,
-																 int	triangulate)
+void CustomStripifier::SGI_Strip(int	num_faces, int	ties, int	triangulate)
 {
   int next_id = -1,t=0;
@@ -5203,5 +5198,5 @@
   */
 
-  Find_StripsEx(output,&t,ties,triangulate,ON,&next_id);
+  Find_StripsEx(&t,ties,triangulate,ON,&next_id);
   
 }
@@ -5241,6 +5236,6 @@
       vertex4 = AdjacentEx(out_edge1,out_edge2,index,size);
       vertex5 = Get_Other_Vertex(vertex4,out_edge1,out_edge2,index);
-      Output_TriEx(vertex5,vertex4,out_edge1,NULL,-1,where);
-      Output_TriEx(vertex4,out_edge1,out_edge2,NULL,-1,where);
+      Output_TriEx(vertex5,vertex4,out_edge1,-1,where);
+      Output_TriEx(vertex4,out_edge1,out_edge2,-1,where);
       dummy = Update_AdjacenciesEx(face_id, &dummy, &dummy,&dummy,&dummy);
       
@@ -5263,5 +5258,5 @@
       */
       vertex4 = Get_Other_Vertex(in_edge1,in_edge2,out_edge2,index);
-      Output_TriEx(in_edge1,in_edge2,out_edge2,NULL,-1,where);
+      Output_TriEx(in_edge1,in_edge2,out_edge2,-1,where);
       /*	Now we have a triangle used, and a triangle that is
 		left for later.
@@ -5299,5 +5294,5 @@
       */						
       vertex4 = Get_Other_Vertex(in_edge1,in_edge2,out_edge2,index);
-      Output_TriEx(in_edge2,in_edge1,out_edge2,NULL,-1,where);
+      Output_TriEx(in_edge2,in_edge1,out_edge2,-1,where);
       /*	Now we have a triangle used, and a triangle that is
 		left for later.
@@ -5327,5 +5322,5 @@
     {
       vertex4 = Get_Other_Vertex(in_edge1,in_edge2,out_edge1,index);
-      Output_TriEx(in_edge2,in_edge1,out_edge1,NULL,-1,where);
+      Output_TriEx(in_edge2,in_edge1,out_edge1,-1,where);
       /*	Now we have a triangle used, and a triangle that is
 		left for later.
@@ -5353,5 +5348,5 @@
     {
       vertex4 = Get_Other_Vertex(in_edge1,in_edge2,out_edge1,index);
-      Output_TriEx(in_edge1,in_edge2,out_edge1,NULL,-1,where);
+      Output_TriEx(in_edge1,in_edge2,out_edge1,-1,where);
       /*	Now we have a triangle used, and a triangle that is
 		left for later.
@@ -5391,6 +5386,6 @@
                 correctly. Does not need partial.
 	  */
-	  Output_TriEx(in_edge1,in_edge2,out_edge2,NULL,-1,where);
-	  Output_TriEx(in_edge2,out_edge2,out_edge1,NULL,-1,where);
+	  Output_TriEx(in_edge1,in_edge2,out_edge2,-1,where);
+	  Output_TriEx(in_edge2,out_edge2,out_edge1,-1,where);
 	  dummy = Update_AdjacenciesEx(face_id, &dummy, &dummy,&dummy,&dummy);
 	  
@@ -5404,6 +5399,6 @@
 		  be reversed from above.
 	  */
-	  Output_TriEx(in_edge1,in_edge2,out_edge1,NULL,-1,where);
-	  Output_TriEx(in_edge2,out_edge1,out_edge2,NULL,-1,where);
+	  Output_TriEx(in_edge1,in_edge2,out_edge1,-1,where);
+	  Output_TriEx(in_edge2,out_edge1,out_edge2,-1,where);
 	  dummy = Update_AdjacenciesEx(face_id, &dummy, &dummy,&dummy,&dummy);
 	  
@@ -5420,5 +5415,5 @@
 																							int in_edge1, int in_edge2,
 																							int size,	  	int *index,
-																							FILE *fp,		  int reversed,
+																							int reversed,
 																							int face_id,	int *next_id,
 				  																		ListHead *pListHead,
@@ -5463,5 +5458,5 @@
       */
       Triangulate_PolygonEx(vertex4,out_edge1,in_edge2,
-			    vertex4,size-1,index,fp,
+			    vertex4,size-1,index,
 			    reversed,face_id,
 			    where); 
@@ -5470,5 +5465,5 @@
 		edge.
       */
-      Output_TriEx(vertex4,out_edge1,out_edge2,NULL,-1,where);
+      Output_TriEx(vertex4,out_edge1,out_edge2,-1,where);
       /*	We were able to do the whole polygon, now we
 		can delete the whole thing from our data structure.
@@ -5490,5 +5485,5 @@
   if (in_edge2 == out_edge1) 
     {
-      Output_TriEx(in_edge1,out_edge1,out_edge2,NULL,-1,where);
+      Output_TriEx(in_edge1,out_edge1,out_edge2,-1,where);
       
       /*	Now delete the adjacencies by one for all the faces
@@ -5525,5 +5520,5 @@
     {
       /*	Get vertex adjacent to in_edge2, but is not in_edge1 */
-      Output_TriEx(in_edge2,in_edge1,out_edge2,NULL,-1,where);
+      Output_TriEx(in_edge2,in_edge1,out_edge2,-1,where);
       
       /*	Now delete the adjacencies by one for all the faces
@@ -5555,5 +5550,5 @@
   else if (in_edge1 == out_edge2)
     {
-      Output_TriEx(in_edge2,in_edge1,out_edge1,NULL,-1,where);
+      Output_TriEx(in_edge2,in_edge1,out_edge1,-1,where);
       
       /*	Now delete the adjacencies by one for all the faces
@@ -5583,5 +5578,5 @@
   else if (in_edge2 == out_edge2)
     {
-      Output_TriEx(in_edge1,in_edge2,out_edge1,NULL,-1,where);
+      Output_TriEx(in_edge1,in_edge2,out_edge1,-1,where);
       
       /*	Now delete the adjacencies by one for all the faces
@@ -5620,5 +5615,5 @@
 	{
 	  vertex4 = AdjacentEx(in_edge2,in_edge1,index,size);
-	  Output_TriEx(in_edge1,in_edge2,vertex4,NULL,-1,where);
+	  Output_TriEx(in_edge1,in_edge2,vertex4,-1,where);
 	  
 	  /*	Now delete the adjacencies by one for all the faces
@@ -5660,5 +5655,5 @@
 	  
 	  P_Triangulate_Polygon(out_edge1,out_edge2,in_edge2,
-				vertex4,size-1,index,fp,!reversed,
+				vertex4,size-1,index,!reversed,
 				face_id,next_id,pListHead,temp2,where);
 	}
@@ -5666,5 +5661,5 @@
 	{
 	  vertex4 = AdjacentEx(in_edge1,in_edge2,index,size);
-	  Output_TriEx(in_edge2,in_edge1,vertex4,NULL,-1,where);
+	  Output_TriEx(in_edge2,in_edge1,vertex4,-1,where);
 	  
 	  /*	Now delete the adjacencies by one for all the faces
@@ -5707,5 +5702,5 @@
 	  
 	  P_Triangulate_Polygon(out_edge1,out_edge2,vertex4,
-				in_edge1,size-1,index,fp,!reversed,
+				in_edge1,size-1,index,!reversed,
 				face_id,next_id,pListHead,temp2,where);
 	}
@@ -5717,5 +5712,5 @@
 void CustomStripifier::P_Triangulate(	int out_edge1,int out_edge2,int in_edge1,
 			  															int in_edge2,	int size,			int *index,
-			  															FILE *output,	int reversed,	int face_id,
+			  															int reversed,	int face_id,
 			  															int *next_id,	ListHead *pListHead, 
 			  															P_ADJACENCIES temp,int where)
@@ -5728,10 +5723,10 @@
   else
     P_Triangulate_Polygon(out_edge1,out_edge2,in_edge1,in_edge2,size,
-			  index,output,reversed,face_id,next_id,
+			  index,reversed,face_id,next_id,
 			  pListHead,temp,where);
 }
 
 void CustomStripifier::Partial_Triangulate(int size,int *index, 
-			 FILE *output,int next_face_id,int face_id,
+			 int next_face_id,int face_id,
 			 int *next_id,ListHead *pListHead,
 			 P_ADJACENCIES temp, int where)
@@ -5768,5 +5763,5 @@
   
   /*	Do the triangulation */	
-  P_Triangulate(nedge1,nedge2,id2,id3,size,index,output,reversed,
+  P_Triangulate(nedge1,nedge2,id2,id3,size,index,reversed,
 		face_id,next_id,pListHead,temp,where);
 }
@@ -5789,5 +5784,5 @@
   if (vertex4 == output1)
     {
-      Output_TriEx(in_edge2,in_edge1,output1,NULL,-1,where);
+      Output_TriEx(in_edge2,in_edge1,output1,-1,where);
       /*	Now delete the adjacencies by one for all the faces
 		that are adjacent to the triangle that we just outputted.
@@ -5809,5 +5804,5 @@
   else if (vertex5 == output1)
     {
-      Output_TriEx(in_edge1,in_edge2,vertex5,NULL,-1,where);
+      Output_TriEx(in_edge1,in_edge2,vertex5,-1,where);
       /*	Now delete the adjacencies by one for all the faces
 		that are adjacent to the triangle that we just outputted.
@@ -5868,5 +5863,5 @@
 
 ///	Finished:
-int CustomStripifier::Finished(int *swap, FILE *output, int startnewstrip)
+int CustomStripifier::Finished(int *swap, int startnewstrip)
 {
   /*   We have finished all the triangles, now is time to output to
@@ -5907,32 +5902,32 @@
     if ((norm) && (!cptexture)) {
 		if (startnewstrip && orient) // If we want to keep orientation
-			preserve_strip_orientation_with_normal(output, temp3->face_id+1,vn[temp3->face_id]+1,
+			preserve_strip_orientation_with_normal(temp3->face_id+1,vn[temp3->face_id]+1,
 						temp2->face_id+1,vn[temp2->face_id]+1, temp1->face_id+1,vn[temp1->face_id]+1);
 		
-		fprintf(output," %d//%d %d//%d %d//%d", temp3->face_id+1,vn[temp3->face_id]+1,
-					temp2->face_id+1,vn[temp2->face_id]+1, temp1->face_id+1,vn[temp1->face_id]+1);
+/*		fprintf(output," %d//%d %d//%d %d//%d", temp3->face_id+1,vn[temp3->face_id]+1,
+					temp2->face_id+1,vn[temp2->face_id]+1, temp1->face_id+1,vn[temp1->face_id]+1);*/
 	}
 	else if ((cptexture) && (!norm)) {
 		if (startnewstrip && orient) /* If we want to keep orientation */
-			preserve_strip_orientation_with_texture(output, temp3->face_id+1,vt[temp3->face_id]+1,
+			preserve_strip_orientation_with_texture(temp3->face_id+1,vt[temp3->face_id]+1,
 				temp2->face_id+1,vt[temp2->face_id]+1,	temp1->face_id+1,vt[temp1->face_id]+1);
 		
-		fprintf(output," %d/%d %d/%d %d/%d", temp3->face_id+1,vt[temp3->face_id]+1,
-					temp2->face_id+1,vt[temp2->face_id]+1, temp1->face_id+1,vt[temp1->face_id]+1);
+/*		fprintf(output," %d/%d %d/%d %d/%d", temp3->face_id+1,vt[temp3->face_id]+1,
+					temp2->face_id+1,vt[temp2->face_id]+1, temp1->face_id+1,vt[temp1->face_id]+1);*/
 	}
     else if ((cptexture)&& (norm)) {
         if (startnewstrip && orient) /* If we want to keep orientation */
-          preserve_strip_orientation_with_texture_and_normal(output, temp3->face_id+1,vt[temp3->face_id]+1,vn[temp3->face_id]+1,
+          preserve_strip_orientation_with_texture_and_normal(temp3->face_id+1,vt[temp3->face_id]+1,vn[temp3->face_id]+1,
 				temp2->face_id+1,vt[temp2->face_id]+1,vn[temp2->face_id]+1, temp1->face_id+1,vt[temp1->face_id]+1,vn[temp1->face_id]+1);
         
-        fprintf(output," %d/%d/%d %d/%d/%d %d/%d/%d", temp3->face_id+1,vt[temp3->face_id]+1,vn[temp3->face_id]+1,
-                temp2->face_id+1,vt[temp2->face_id]+1,vn[temp2->face_id]+1, temp1->face_id+1,vt[temp1->face_id]+1,vn[temp1->face_id]+1);
+ /*       fprintf(output," %d/%d/%d %d/%d/%d %d/%d/%d", temp3->face_id+1,vt[temp3->face_id]+1,vn[temp3->face_id]+1,
+                temp2->face_id+1,vt[temp2->face_id]+1,vn[temp2->face_id]+1, temp1->face_id+1,vt[temp1->face_id]+1,vn[temp1->face_id]+1);*/
     }
     else 
     {
 		if (startnewstrip && orient) /* If we want to keep orientation */
-			preserve_strip_orientation(output, temp3->face_id+1,temp2->face_id+1,temp1->face_id+1);
-	  
-		fprintf(output," %d %d %d", temp3->face_id+1,temp2->face_id+1,temp1->face_id+1);
+			preserve_strip_orientation(temp3->face_id+1,temp2->face_id+1,temp1->face_id+1);
+	  
+//		fprintf(output," %d %d %d", temp3->face_id+1,temp2->face_id+1,temp1->face_id+1);
 		mi_vector[num_tiras].push_back(temp3->face_id);
 		mi_vector[num_tiras].push_back(temp2->face_id);
@@ -6003,7 +5998,7 @@
 	*/
 	if (orient && startnewstrip) // If we want to keep orientation
-		preserve_strip_orientation(output,vertex1+1,other1+1,other2+1);
+		preserve_strip_orientation(vertex1+1,other1+1,other2+1);
     
-    fprintf(output," %d %d %d",vertex1+1,other1+1,other2+1);
+//    fprintf(output," %d %d %d",vertex1+1,other1+1,other2+1);
 	mi_vector[num_tiras].push_back(vertex1);
 	mi_vector[num_tiras].push_back(other1);
@@ -6024,5 +6019,5 @@
     {
 		// If we used partial we might have a break in the middle of a strip
-		fprintf(output,"\nt");
+//		fprintf(output,"\nt");
         startnewstrip = 1;
 		mi_vector_tipo nada;
@@ -6054,13 +6049,13 @@
         if ((!norm) && (!cptexture))
 		{
-            fprintf(output," %d",id[index]+1);
+//            fprintf(output," %d",id[index]+1);
 			mi_vector[num_tiras].push_back(id[index]);
 		}
-        else if ((norm) && (!cptexture))
+  /*      else if ((norm) && (!cptexture))
             fprintf(output," %d//%d",id[index]+1,vn[id[index]]+1);
         else if ((!norm) && (cptexture))
             fprintf(output," %d/%d",id[index]+1,vt[id[index]]+1);
         else
-            fprintf(output," %d/%d/%d", id[index]+1,vt[id[index]]+1,vn[id[index]]+1);
+            fprintf(output," %d/%d/%d", id[index]+1,vt[id[index]]+1,vn[id[index]]+1);*/
 
         index = !index;
@@ -6072,8 +6067,8 @@
     if ((!norm) && (!cptexture))
 	{
-        fprintf(output,"\nq %d",vertex2+1);
+//        fprintf(output,"\nq %d",vertex2+1);
 		mi_vector[num_tiras].push_back(vertex2);
 	}
-    else if ((norm) && (!cptexture))
+ /*   else if ((norm) && (!cptexture))
         fprintf(output,"\nq %d//%d",vertex2+1,vn[vertex2]+1);
     else if ((!norm) && (cptexture))
@@ -6081,5 +6076,5 @@
     else
         fprintf(output,"\nq %d/%d/%d",vertex2+1,vt[vertex2]+1,vn[vertex2]+1);
-      
+  */    
     id[index] = vertex2; index = !index;
       
@@ -6093,6 +6088,6 @@
   if ((text) && (vt[vertex2]==0))
   {
-	if (cptexture)
-		fprintf(output,"\nq");
+/*	if (cptexture)
+		fprintf(output,"\nq");*/
     cptexture = FALSE;
   }
@@ -6100,8 +6095,8 @@
   if ((!norm) && (!cptexture))
   {
-    fprintf(output," %d",vertex2+1);
+//    fprintf(output," %d",vertex2+1);
 	mi_vector[num_tiras].push_back(vertex2);
   }
-  else if ((norm) && (!cptexture))
+/*  else if ((norm) && (!cptexture))
     fprintf(output," %d//%d",vertex2+1,vn[vertex2]+1);
   else if ((!norm) && (cptexture))
@@ -6109,5 +6104,5 @@
   else
     fprintf(output," %d/%d/%d",vertex2+1,vt[vertex2]+1,vn[vertex2]+1);
-  
+  */
   Free_Strips();
   return (num/3);       
@@ -6145,5 +6140,5 @@
 																			int bucket,		  		ListHead *pListHead,
 																			BOOL first, 				int *swaps,
-			  															FILE *bands,				int color1,
+			  															int color1,
 																			int color2,					int color3,
 																			BOOL global,		  	BOOL end)
@@ -6184,5 +6179,5 @@
 	return 0;
       else
-	return (Finished(swaps,bands,0));
+	return (Finished(swaps,0));
     }
   
@@ -6212,5 +6207,5 @@
 	    face_array[temp->face_id].pfNode = NULL;
 	  RemoveList(pListHead,(PLISTINFO) temp);
-	  return (Finished(swaps,bands,0));
+	  return (Finished(swaps,0));
 	}
       
@@ -6240,5 +6235,5 @@
 		face_array[temp->face_id].pfNode = NULL;
 	      RemoveList(pListHead,(PLISTINFO) temp);
-	      return (Finished(swaps,bands,0));
+	      return (Finished(swaps,0));
 	    }
 	  
@@ -6290,5 +6285,5 @@
 		  face_array[temp->face_id].pfNode = NULL;
 		  RemoveList(pListHead,(PLISTINFO) temp);
-		  return (Finished(swaps,bands,0));
+		  return (Finished(swaps,0));
 		}
 	      
@@ -6311,5 +6306,5 @@
 	      find an adj polygon */
 	  if (next_face_id == -1)
-	    return (Finished(swaps,bands,0));
+	    return (Finished(swaps,0));
 	  
 	  if (Done(next_face_id,&next_bucket) == NULL)
@@ -6328,5 +6323,5 @@
 	    }
 	  return (Polygon_Output(lpListInfo,next_face_id,next_bucket,
-				 pListHead, FALSE, swaps,bands,
+				 pListHead, FALSE, swaps,
 				 color1,color2,color3,global,end));
 	  
@@ -6357,5 +6352,5 @@
 	  /*      We will be at the beginning of the next strip. */
 	  face->nPolSize = 1;
-	  return (Finished(swaps,bands,0));
+	  return (Finished(swaps,0));
         }
       
@@ -6405,5 +6400,5 @@
 	      /*      We will be at the beginning of the next strip. */
 	      face->nPolSize = 1;
-	      return (Finished(swaps,bands,0));
+	      return (Finished(swaps,0));
 	    }
 	  
@@ -6415,5 +6410,5 @@
 	  
 	  Non_Blind_Triangulate(face->nPolSize,face->pPolygon, 
-				bands,next_face_id,face_id,1,
+				next_face_id,face_id,1,
 				color1,color2,color3);
 	  
@@ -6432,5 +6427,5 @@
 	    }
 	  return (Polygon_Output(lpListInfo,next_face_id,next_bucket,
-				 pListHead, FALSE, swaps,bands,
+				 pListHead, FALSE, swaps,
 				 color1,color2,color3,global,end));
         }
@@ -6444,5 +6439,4 @@
 																	int		e2,
 																	int		*swaps,
-																	FILE	*bands,
 																	int		color1,
 																	int		color2,
@@ -6485,5 +6479,5 @@
   /*  Find a strip extending from the patch and return the cost */
   return (Polygon_Output(lpListInfo,face_id,next_bucket,pListHead,TRUE,swaps,
-			 bands,color1,color2,color3,TRUE,TRUE));
+			 color1,color2,color3,TRUE,TRUE));
 }
 
@@ -7027,5 +7021,5 @@
 void CustomStripifier::Mark_Face(	PF_FACES temp2, 		int color1,
 																	int color2,     		int color3,
-																	FILE *output_file,	BOOL end,
+																	BOOL end,
 																	int *edge1,					int *edge2,
 		      												int *face_id,				int norms,
@@ -7120,52 +7114,52 @@
 	  if ((!norms) && (!cptexture))
 	    {
-	      fprintf(output_file,"\nt");
+//	      fprintf(output_file,"\nt");
 	      if (orient) /* If we want to preserve normal orientation */
-		preserve_strip_orientation(output_file,x+1,y+1,saved[1]+1);
+		preserve_strip_orientation(x+1,y+1,saved[1]+1);
 	      
-	      fprintf(output_file," %d %d %d",x+1,y+1,saved[1]+1);
-	      fprintf(output_file," %d",saved[0]+1);
+//	      fprintf(output_file," %d %d %d",x+1,y+1,saved[1]+1);
+//	      fprintf(output_file," %d",saved[0]+1);
 	    }
 	  else if ((norms) && (!cptexture))
 	    {
-	      fprintf(output_file,"\nt");
+//	      fprintf(output_file,"\nt");
 	      if (orient) /* If we want to preserve normal orientation */
-		preserve_strip_orientation_with_normal(output_file,
+		preserve_strip_orientation_with_normal(
 						       x+1,vn[x] +1,
 						       y+1,vn[y] +1,
 						       saved[1]+1,vn[saved[1]]+1);
               
-	      fprintf(output_file," %d//%d %d//%d %d//%d",
+/*	      fprintf(output_file," %d//%d %d//%d %d//%d",
 		      x+1,vn[x] +1,
 		      y+1,vn[y] +1,
 		      saved[1]+1,vn[saved[1]]+1);
-	      fprintf(output_file," %d//%d",saved[0]+1,vn[saved[0]]+1);
+	      fprintf(output_file," %d//%d",saved[0]+1,vn[saved[0]]+1);*/
 	    }
 	  else if ((cptexture) && (!norms))
 	    {
-	      fprintf(output_file,"\nt");
-	      if (orient) /* If we want to preserve normal orientation */
-		preserve_strip_orientation_with_texture(output_file,
+//	      fprintf(output_file,"\nt");
+	      if (orient) 
+		preserve_strip_orientation_with_texture(
 							x+1,vt[x] +1,
 							y+1,vt[y] +1,
 							saved[1]+1,vt[saved[1]]+1);
 	      
-	      fprintf(output_file," %d/%d %d/%d %d/%d",
+/*	      fprintf(output_file," %d/%d %d/%d %d/%d",
 		      x+1,vt[x] +1,
 		      y+1,vt[y] +1,
 		      saved[1]+1,vt[saved[1]]+1);
 	      
-	      fprintf(output_file," %d//%d",saved[0]+1,vt[saved[0]]+1);
+	      fprintf(output_file," %d//%d",saved[0]+1,vt[saved[0]]+1);*/
 	    }
 	  else
 	    {
-	      fprintf(output_file,"\nt");
-	      if (orient) /* If we want to preserve normal orientation */
-		preserve_strip_orientation_with_texture_and_normal(output_file,
+//	      fprintf(output_file,"\nt");
+	      if (orient) 
+		preserve_strip_orientation_with_texture_and_normal(
 								   x+1,vt[x]+1,vn[x] +1,
 								   y+1,vt[y]+1,vn[y] +1,
 								   saved[1]+1,vt[saved[1]]+1,vn[saved[1]]+1);
 	      
-	      fprintf(output_file," %d/%d/%d %d/%d/%d %d/%d/%d",
+/*	      fprintf(output_file," %d/%d/%d %d/%d/%d %d/%d/%d",
 		      x+1,vt[x]+1,vn[x] +1,
 		      y+1,vt[y]+1,vn[y] +1,
@@ -7173,5 +7167,5 @@
 	      
 	      fprintf(output_file," %d/%d/%d",
-		      saved[0]+1,vt[saved[0]]+1,vn[saved[0]]+1);
+		      saved[0]+1,vt[saved[0]]+1,vn[saved[0]]+1);*/
 	    }
 	  
@@ -7184,27 +7178,27 @@
 	  if ((texture) && ( (vt[x] == 0) || (vt[y]==0)))
 	    {
-	      if (cptexture)
-		fprintf(output_file,"\nq");
+/*	      if (cptexture)
+		fprintf(output_file,"\nq");*/
 	      cptexture = FALSE;
 	    }
 	  if ((!norms) && (!cptexture))
 	    {
-	      fprintf(output_file," %d",x+1);
-	      fprintf(output_file," %d",y+1);
+//	      fprintf(output_file," %d",x+1);
+//	      fprintf(output_file," %d",y+1);
 	    }
 	  else if ((norms) && (!cptexture))
 	    {
-	      fprintf(output_file," %d//%d",x+1,vn[x]+1);
-	      fprintf(output_file," %d//%d",y+1,vn[y]+1);
+//	      fprintf(output_file," %d//%d",x+1,vn[x]+1);
+//	      fprintf(output_file," %d//%d",y+1,vn[y]+1);
 	    }
 	  else if ((cptexture) && (!norms))
 	    {
-	      fprintf(output_file," %d/%d",x+1,vt[x]+1);
-	      fprintf(output_file," %d/%d",y+1,vt[y]+1);
+//	      fprintf(output_file," %d/%d",x+1,vt[x]+1);
+//	      fprintf(output_file," %d/%d",y+1,vt[y]+1);
 	    }
 	  else
 	    {
-	      fprintf(output_file," %d/%d/%d",x+1,vt[x]+1,vn[x]+1);
-	      fprintf(output_file," %d/%d/%d",y+1,vt[y]+1,vn[y]+1);
+//	      fprintf(output_file," %d/%d/%d",x+1,vt[x]+1,vn[x]+1);
+//	      fprintf(output_file," %d/%d/%d",y+1,vt[y]+1,vn[y]+1);
 	    }
 	  
@@ -7224,21 +7218,21 @@
 	  if ((!norms) && (!texture))
 	    {
-	      fprintf(output_file,"\nq %d",x+1);
-	      fprintf(output_file," %d",y+1);
+//	      fprintf(output_file,"\nq %d",x+1);
+//	      fprintf(output_file," %d",y+1);
 	    }
 	  else if ((norms) && (!texture))
 	    {
-	      fprintf(output_file,"\nq %d//%d",x+1,vn[x]+1);
-	      fprintf(output_file," %d//%d" ,y+1,vn[y]+1);
+//	      fprintf(output_file,"\nq %d//%d",x+1,vn[x]+1);
+//	      fprintf(output_file," %d//%d" ,y+1,vn[y]+1);
 	    }
 	  else if ((texture) && (!norms))
 	    {
-	      fprintf(output_file,"\nq %d/%d",x+1,vt[x]+1);
-	      fprintf(output_file," %d/%d",y+1,vt[y]+1);
+//	      fprintf(output_file,"\nq %d/%d",x+1,vt[x]+1);
+//	      fprintf(output_file," %d/%d",y+1,vt[y]+1);
 	    }
 	  else
 	    {
-	      fprintf(output_file,"\nq %d/%d/%d",x+1,vt[x]+1,vn[x]+1);
-	      fprintf(output_file," %d/%d/%d",y+1,vt[y]+1,vn[y]+1);
+//	      fprintf(output_file,"\nq %d/%d/%d",x+1,vt[x]+1,vn[x]+1);
+//	      fprintf(output_file," %d/%d/%d",y+1,vt[y]+1,vn[y]+1);
 	    }
 	  
@@ -7543,5 +7537,5 @@
 																	int north,int last_north,
 		      												int orientation,int last_left,
-																	FILE *output_file,int color1,
+																	int color1,
 																	int color2,int color3,
 		      												BOOL start)
@@ -7593,5 +7587,5 @@
       if (start)
 	Reset_Max(temp2,face_id,orientation,last_left,north,last_north,
-		  output_file,color1,color2,color3,FALSE);		
+		  color1,color2,color3,FALSE);		
       
       face_id = nextvert;
@@ -7679,5 +7673,5 @@
     }
   if (start)
-    Reset_Max(temp2,face_id,orientation,last_left,north,last_north,output_file,
+    Reset_Max(temp2,face_id,orientation,last_left,north,last_north,
 	      color1,color2,color3,FALSE);
   else if (nextvert != -1)       
@@ -7690,5 +7684,5 @@
 																int north,int last_north,
 																int orientation,int last_left,
-																FILE *output_file,int color1,
+																int color1,
 																int color2,int color3,
 		    												BOOL start, int *swaps_added,
@@ -7744,8 +7738,8 @@
       if (start)
 	tris += Peel_Max(temp2,face_id,orientation,last_left,north,last_north,
-			 output_file,color1,color2,color3,FALSE,swaps_added,
+			 color1,color2,color3,FALSE,swaps_added,
 			 norms,texture);		    
       else
-	Mark_Face(temp2,color1,color2,color3,output_file,FALSE,
+	Mark_Face(temp2,color1,color2,color3,FALSE,
 		  &dummy,&dummy,&face_id,norms,texture);
       
@@ -7828,8 +7822,8 @@
   if (start)
     tris += Peel_Max(temp2,face_id,orientation,last_left,north,last_north,
-		     output_file,color1,color2,color3,FALSE,swaps_added,
+		     color1,color2,color3,FALSE,swaps_added,
 		     norms,texture);	
   else
-    Mark_Face(temp2,color1,color2,color3,output_file,FALSE,
+    Mark_Face(temp2,color1,color2,color3,FALSE,
 	      &dummy,&dummy,&face_id,norms,texture);/* do the last face */
   
@@ -7837,6 +7831,6 @@
   
   /*    Get the edge that we came out on the last strip of the patch */
-  Mark_Face(NULL,0,0,0,output_file,TRUE,&end1,&end2,&last_id,norms,texture);
-  tris += Extend_Face(last_id,end1,end2,&s,output_file,color1,color2,color3,
+  Mark_Face(NULL,0,0,0,TRUE,&end1,&end2,&last_id,norms,texture);
+  tris += Extend_Face(last_id,end1,end2,&s,color1,color2,color3,
 		      vn,norms,vt,texture);
   *swaps_added = *swaps_added + s;
@@ -7845,6 +7839,5 @@
 
 ///	Find_Bands:
-void CustomStripifier::Find_Bands(int numfaces,	FILE *output_file,
-																	int *swaps,		int *bands,
+void CustomStripifier::Find_Bands(int numfaces,		int *swaps,		int *bands,
                 									int *cost,		int *tri,
 																	int norms,		int *vert_norms,
@@ -7960,8 +7953,8 @@
 	    {
 	      total_tri += Peel_Max(temp,face_id,0,last_north,3,last_left,
-				    output_file,color1,color2,color3,TRUE,
+				    color1,color2,color3,TRUE,
 				    &s,norms,texture);
 	      Reset_Max(temp,face_id,0,last_north,3,last_left,
-			output_file,color1,color2,color3,TRUE);
+			color1,color2,color3,TRUE);
 	      total_swaps += s;
 	    }
@@ -7970,7 +7963,7 @@
 	      reversed = TRUE;
 	      total_tri += Peel_Max(temp,face_id,3,last_left,0,last_north,
-				    output_file,color1,color2,color3,TRUE,
+				    color1,color2,color3,TRUE,
 				    &s,norms,texture);
-	      Reset_Max(temp,face_id,3,last_left,0,last_north,output_file,
+	      Reset_Max(temp,face_id,3,last_left,0,last_north,
 			color1,color2,color3,TRUE);
 	      reversed = FALSE;
@@ -7980,9 +7973,8 @@
 	  
 	  /*    Get the edge that we came out on the last strip of the patch */
-	  Mark_Face(NULL,0,0,0,NULL,TRUE,&end1,&end2,&last_id,norms,texture);
-	  total_tri += Extend_Face(last_id,end1,end2,&s,output_file,
+	  Mark_Face(NULL,0,0,0,TRUE,&end1,&end2,&last_id,norms,texture);
+	  total_tri += Extend_Face(last_id,end1,end2,&s,
 				   color1,color2,color3,vn,norms,vt,texture);
-	  total_swaps += s;
-	  
+	  total_swaps += s;	  
 	}
       else
@@ -7991,7 +7983,7 @@
 	    {
 	      total_tri += Peel_Max(temp,face_id,2,last_north,1,last_left,
-				    output_file,color1,color2,color3,TRUE,
+				    color1,color2,color3,TRUE,
 				    &s,norms,texture); 
-	      Reset_Max(temp,face_id,2,last_north,1,last_left,output_file,
+	      Reset_Max(temp,face_id,2,last_north,1,last_left,
 			color1,color2,color3,TRUE); 
 	      total_swaps += s;
@@ -8001,7 +7993,7 @@
 	      reversed = TRUE;
 	      total_tri += Peel_Max(temp,face_id,1,last_left,2,last_north,
-				    output_file,color1,color2,color3,TRUE,
+				    color1,color2,color3,TRUE,
 				    &s,norms,texture);
-	      Reset_Max(temp,face_id,1,last_left,2,last_north,output_file,
+	      Reset_Max(temp,face_id,1,last_left,2,last_north,
 			color1,color2,color3,TRUE);
 	      reversed = FALSE;
@@ -8010,6 +8002,6 @@
 	  
 	  /*    Get the edge that we came out on on the patch */
-	  Mark_Face(NULL,0,0,0,NULL,TRUE,&end1,&end2,&last_id,norms,texture);
-	  total_tri += Extend_Face(last_id,end1,end2,&s,output_file,
+	  Mark_Face(NULL,0,0,0,TRUE,&end1,&end2,&last_id,norms,texture);
+	  total_tri += Extend_Face(last_id,end1,end2,&s,
 				   color1,color2,color3,vn,norms,vt,texture);
 	  total_swaps += s;
@@ -8115,5 +8107,5 @@
 }
 
-///	OpenOutputFile:
+/*///	OpenOutputFile:
 FILE *	CustomStripifier::OpenOutputFile(char *fname)
 {
@@ -8142,5 +8134,5 @@
   
   return	bands;
-}
+}*/
 
 ///	AllocateStruct:	Reserves memory for structures.
@@ -8188,5 +8180,5 @@
 
 ///	miReadFile: Loads the object in memory.
-void CustomStripifier::miReadFile(char *fname, char *file_open, FILE *bands, Geometry::SubMesh *geoSubMesh)
+void CustomStripifier::miReadFile(char *fname, char *file_open, Geometry::SubMesh *geoSubMesh)
 {
   int		face_id	=	0;
@@ -8244,5 +8236,5 @@
   BOOL								quads = FALSE;
 	BOOL								oddStrip;
-	FILE								*bands;
+//	FILE								*bands;
 	char								*file_open;
 	int									i;
@@ -8316,5 +8308,5 @@
 
 			// Open the output file.
-			bands	=	OpenOutputFile(fname);
+//			bands	=	OpenOutputFile(fname);
 
 			//	2006-02-14.
@@ -8338,5 +8330,5 @@
 
 			//	Load the object into memory.
-			miReadFile(fname,file_open,bands,geoSubMesh);
+			miReadFile(fname,file_open,geoSubMesh);
 
 			//	2006-02-14.
@@ -8389,5 +8381,5 @@
 			//-----------------------
 
-			SGI_Strip(num_faces,bands,t,tr);
+			SGI_Strip(num_faces,t,tr);
 
 			//	2006-02-14.
@@ -8400,9 +8392,8 @@
 
 			//	Get the total cost.
-			Output_TriEx(-1,-2,-3,NULL,-20,cost);
+			Output_TriEx(-1,-2,-3,-20,cost);
 
 			End_Face_Struct(num_faces);
 			End_Edge_Struct(num_vert);
-			fclose(bands);
 
 			//	2006-02-14.
